# Package edu.isi.pegasus.planner.catalog

Interface Summary
Catalog: This interface create a common ancestor for all cataloging interfaces.
ReplicaCatalog: This interface describes a minimum set of essential tasks required from a replica catalog.
SiteCatalog
TransformationCatalog: This class is an interface to the various TxCatalog implementations that Pegasus will use.
WorkCatalog: The catalog interface to the Work Catalog, the erstwhile Work DB, that is populated by tailstatd and associates.

Exception Summary
CatalogException: Class to notify of failures.